Skip to content

Removes a file from a transaction

DELETE
/transactions/{id}/files/{file_id}

Transaction deleted successfully

Media type application/json
object
id

ID of the transaction

integer
type
required

Type of the transaction (income or expense)

string
Allowed values: income expense
amount
required

Amount of the transaction

number format: float
description

Description of the transaction

string
datetime

Date and time of the transaction

string format: date
categories

List of categories of the transaction

Array<integer>
is_recurring

Set the transaction as a recurring transaction

boolean
user_id

ID of the user who created the transaction

integer
amount_in_budget_currency

Transaction amount converted to the currency of the budget

string
transfer_id

ID of the associated transfer, if any

integer
wallet_client_generated_id

Client-generated ID of the associated wallet

string format: uuid
party_client_generated_id

Client-generated ID of the associated party

string format: uuid
files

Files attached to the transaction

Array<object>
object
id

ID of the file

integer
path

Path or content of the file

string
link

URL to access the file

string
type

Type of file (image, icon, emoji, pdf)

string
Allowed values: image pdf icon emoji
model

Related model name

string
model_id

ID of the related model

integer
recurring_rules
object
id

ID of the transaction

integer
transaction_id

ID of the transaction

integer
recurrence_period

Set how often the transaction should repeat

string
recurrence_interval

Set how often the transaction should repeat

integer
recurrence_ends_at

When the transaction stops repeating

string format: date-time
next_scheduled_at

When next the transaction should happen

string format: date-time
Example
{
"type": "income",
"files": [
{
"type": "image"
}
]
}

Invalid input